EvSignal
EvSignal::createStopped
EvSignal
PHP Manual

# EvSignal::__construct

Constructs EvPeriodic watcher object

### Description

public EvSignal::__construct ( int `$signum` , callable `$callback` [, mixed `$data` = `NULL` [, int `$priority` = 0 ]] )

Constructs EvPeriodic watcher object and starts it automatically. For a stopped periodic watcher consider using EvSignal::createStopped method.

### Parameters

`signum`

  Signal number. See constants exported by pcntl extension. See also signal(7) man page.

`callback`

  See Watcher callbacks .

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

Returns EvSignal object on success.

### Examples

Example #1 Handle SIGTERM signal

`<?php
$w = new EvSignal(SIGTERM, function ($watcher) {
echo "SIGTERM received\n";
$watcher->stop();
});
Ev::run();
?>`

### See Also

- EvSignal::createStopped